SHADOWENV(1)

NAME
shadowenv - maninpulate environment variables as you change directories

SYNOPSIS
shadowenv [-h|-V] subcommand

DESCRIPTION
shadowenv provides a way to perform a set of manipulations to the process environment upon entering a directory in a shell. These manipulations are reversed when leaving the directory, and there is some limited ability to make the manipulations dynamic.

SUBCOMMANDS

  diff [-hnv]
Display a diff of changed environment variables.

-n, --no-color
    Do not use color to highlight the diff

-v, --verbose
    Show all environment variables as context to the diff

  exec [--dir <dir>] <child-argv0|-- child-argv...>
Execute a command after loading the environment from the current directory.

--dir <dir>
    Instead of searching from the current directory for a .shadowenv.d, search from this one.

child-argv0
    If the command doesn't need arguments, it can be passed directly as the last arugment.

child-argv...
    If the command requires arguments, they must all be passed after a '--'.

  hook [FLAGS] [OPTIONS]
Runs the shell hook. You shouldn't need to run this manually; instead, source the output of shadowenv init to create the shell hooks that will use this command.

--fish
    Format variable assignments for fish shell

--porcelain
    Format variable assignments for machine parsing

--silent
    Suppress error printing

--shellpid pid
    Rather than looking up the PPID, use this as the shell's pid

  init shell
Prints a script which can be eval'd to set up shadowenv in various shells

bash
    Prints a script which can be eval'd by bash to set up shadowenv.

fish
    Prints a script which can be eval'd by fish to set up shadowenv.

zsh Prints a script which can be eval'd by zsh to set up shadowenv.

  trust
Mark this directory as 'trusted', allowing shadowenv programs to be run

FLAGS

  -h, --help
Prints help information - can also be used for more specific help with any of the subcommands

  -V, --version
Prints the current shadowenv version